<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('planned_tasks', function (Blueprint $table) {
            $table->id('planned_task_id');
            $table->date('planned_date');
            $table->date('execution_date')->nullable();
            $table->string('type');
            $table->string('note')->nullable();
            $table->morphs('taskable'); // Creates taskable_id and taskable_type columns
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('planned_tasks');
    }
};
